MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Request Class Reference

`#include <Request.hxx>`

Inheritance diagram for Request:
[legend]
Collaboration diagram for Request:
[legend]

## Public Member Functions
constexpr | Request (const char *const *argv, size_type n)
constexpr const char * | GetOptional (unsigned idx, const char *default_value=nullptr) const
gcc_pure int | ParseInt (unsigned idx) const
gcc_pure int | ParseInt (unsigned idx, int min_value, int max_value) const
gcc_pure int | ParseUnsigned (unsigned idx) const
gcc_pure int | ParseUnsigned (unsigned idx, unsigned max_value) const
gcc_pure bool | ParseBool (unsigned idx) const
gcc_pure RangeArg | ParseRange (unsigned idx) const
gcc_pure float | ParseFloat (unsigned idx) const
gcc_pure SongTime | ParseSongTime (unsigned idx) const
gcc_pure SignedSongTime | ParseSignedSongTime (unsigned idx) const
gcc_pure int | ParseOptional (unsigned idx, int default_value) const
gcc_pure RangeArg | ParseOptional (unsigned idx, RangeArg default_value) const
Public Member Functions inherited from ConstBuffer< const char * >
| ConstBuffer ()=default
constexpr | ConstBuffer (std::nullptr_t)
constexpr | ConstBuffer (pointer_type _data, size_type _size)
constexpr ConstBuffer< void > | ToVoid () const
constexpr bool | IsNull () const
constexpr bool | IsEmpty () const
gcc_pure bool | Contains (U &&u) const
constexpr iterator | begin () const
constexpr iterator | end () const
constexpr const_iterator | cbegin () const
constexpr const_iterator | cend () const
reference_type | operator[] (size_type i) const
reference_type | front () const
| Returns a reference to the first element. More...
reference_type | back () const
| Returns a reference to the last element. More...
void | pop_front ()
| Remove the first element (by moving the head pointer, does not actually modify the buffer). More...
void | pop_back ()
| Remove the last element (by moving the tail pointer, does not actually modify the buffer). More...
reference_type | shift ()
| Remove the first element and return a reference to it. More...
void | skip_front (size_type n)
void | MoveFront (pointer_type new_data)
| Move the front pointer to the given address, and adjust the size attribute to retain the old end address. More...

## Additional Inherited Members
Public Types inherited from ConstBuffer< const char * >
typedef size_t | size_type
typedef const const char *& | reference_type
typedef reference_type | const_reference_type
typedef const const char ** | pointer_type
typedef pointer_type | const_pointer_type
typedef pointer_type | iterator
typedef pointer_type | const_iterator
Static Public Member Functions inherited from ConstBuffer< const char * >
static constexpr ConstBuffer | Null ()
static ConstBuffer< const char * > | FromVoid (ConstBuffer< void > other)
| Cast a ConstBuffer<void> to a ConstBuffer<T>. More...
Data Fields inherited from ConstBuffer< const char * >
pointer_type | data
size_type | size

## Detailed Description

Definition at line 34 of file Request.hxx.

## Constructor & Destructor Documentation

constexpr Request::Request | ( | const char *const * | argv,
|  | size_type | n
| ) |  |
| inline

Definition at line 38 of file Request.hxx.

## Member Function Documentation

constexpr const char* Request::GetOptional | ( | unsigned | idx,
|  | const char * | default_value = `nullptr`
| ) |  | const
| inline

Definition at line 41 of file Request.hxx.

gcc_pure bool Request::ParseBool | ( | unsigned | idx | ) | const
| inline

Definition at line 73 of file Request.hxx.

gcc_pure float Request::ParseFloat | ( | unsigned | idx | ) | const
| inline

Definition at line 85 of file Request.hxx.

gcc_pure int Request::ParseInt | ( | unsigned | idx | ) | const
| inline

Definition at line 49 of file Request.hxx.

gcc_pure int Request::ParseInt | ( | unsigned | idx,
|  | int | min_value,
|  | int | max_value
| ) |  | const
| inline

Definition at line 55 of file Request.hxx.

gcc_pure int Request::ParseOptional | ( | unsigned | idx,
|  | int | default_value
| ) |  | const
| inline

Definition at line 103 of file Request.hxx.

gcc_pure RangeArg Request::ParseOptional | ( | unsigned | idx,
|  | RangeArg | default_value
| ) |  | const
| inline

Definition at line 110 of file Request.hxx.

gcc_pure RangeArg Request::ParseRange | ( | unsigned | idx | ) | const
| inline

Definition at line 79 of file Request.hxx.

gcc_pure SignedSongTime Request::ParseSignedSongTime | ( | unsigned | idx | ) | const
| inline

Definition at line 97 of file Request.hxx.

gcc_pure SongTime Request::ParseSongTime | ( | unsigned | idx | ) | const
| inline

Definition at line 91 of file Request.hxx.

gcc_pure int Request::ParseUnsigned | ( | unsigned | idx | ) | const
| inline

Definition at line 61 of file Request.hxx.

gcc_pure int Request::ParseUnsigned | ( | unsigned | idx,
|  | unsigned | max_value
| ) |  | const
| inline

Definition at line 67 of file Request.hxx.

The documentation for this class was generated from the following file:

- command/Request.hxx